<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bSeguro,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>

<head>
		<title><%= resTit.getString("titMtoSeguros")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar'></div>
<%

	String sql = "", codigo, mensaje="";
	String accion="", poliza, cia, direccion, telefono, modalidad;
	m05bComun Comun = new m05bComun(); 
	m05bCombo miCombo = new m05bCombo();

	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje");
	accion = request.getParameter("Accion")==null?"":request.getParameter("Accion");

	m05bSeguro seguro = null;
	if ( (accion.equals(m05bConstantes.ACC_INSERTAR)) 
		&& (!(mensaje.equals("Existe"))) ) {
		//codigo= "";
		cia="";	direccion=""; telefono=""; poliza=""; modalidad="";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bSeguro");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		seguro = (m05bSeguro)session.getAttribute("m05bSeguro");
	}
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 22));</script>");
	}
	outMsg.close();
	if (seguro == null){
		seguro = new m05bSeguro();
		session.setAttribute("m05bSeguro",seguro);
	}
	poliza=seguro.getSeg_poliza()==null?"":seguro.getSeg_poliza();
	cia=seguro.getSeg_cia()==null?"":seguro.getSeg_cia();
	direccion=seguro.getSeg_direccion();
	if ( (direccion==null) || (direccion.equals("0")) )
		direccion="";
	telefono=seguro.getSeg_telefono();
	if (telefono == null)
		telefono = "";
	modalidad=seguro.getSeg_modalidad();
	if (modalidad == null)
		modalidad = "";
%>

 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_SEGUROS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelSeguros")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_SEGUROS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoSeguros")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formSeguros" METHOD="POST">
					 <TABLE class="general">
						    <tr> 
						      <td width="90%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						      <td width="10%" align="right"> 						      	
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>'); return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
							</tr>
					 </TABLE>
					<p>
					 <TABLE class="general">
					    <tr > 
					       <td class="inputFieldTitle" width="15%"><%= res.getString("etNum")%></td>
					       <td class="inputFieldTitle" width="20%"><%= res.getString("etCia")%></td>
					       <td class="inputFieldTitle" width="50%"><%= res.getString("etDireccion")%></td>
					       <td class="inputFieldTitle" width="15%"><%= res.getString("etTelefono")%></td>
					    </tr>
					    <tr> 
					     
					     <% if (codigo!=null || !codigo.equals("")){%>
					      <td align="left"> <INPUT class="inputFieldOblig" disabled TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="15" maxlength="6"/> </td>
					      <%}else{%>
					      <td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="15" maxlength="6" disabled/> </td>
					      <%}%>
					      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Cia" VALUE="<%=cia%>" size="21" maxlength="100"/> </td>
					      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Direccion" VALUE="<%if(direccion==null){%> <%}else{%><%=direccion%><%}%>" size="60" maxlength="100"/> </td>
					      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Telefono" VALUE="<%if(telefono==null){%> <%}else{%><%=telefono%><%}%>" size="15" maxlength="15"/> </td>
					    </tr>
					    <tr >
					       <td class="inputFieldTitle" colspan="2"><%= res.getString("etPoliza")%></td>
					       <td class="inputFieldTitle" colspan="2"><%= res.getString("etModalidad")%></td>
					    </tr>
					    <tr>
					      <td colspan="2" align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Poliza" VALUE="<%=poliza%>" maxlength="15"/> </td>
					      <td colspan="2" align="left"> 
					        <select name="Modalidad" class=inputFieldOblig onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
					                    <option type=submit size="25"></option>
					                    <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", 
					        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_MODALIDADES, modalidad.trim())%>
					          </select>
					      </td>
					    </tr>
					 </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language="JavaScript">
     function fncGrabar(codigo,accion) {
		var docu = document.formSeguros;
		
		if(existeCaracter(docu.Cia.value,"\'")||existeCaracter(docu.Cia.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Cia.focus();
			return;
		}
		if(existeCaracter(docu.Direccion.value,"\'")||existeCaracter(docu.Direccion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Direccion.focus();
			return;
		}
		if(existeCaracter(docu.Telefono.value,"\'")||existeCaracter(docu.Telefono.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Telefono.focus();
			return;
		}
		
		if(docu.Poliza.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Poliza.focus();
			return;
		}	
		if(existeCaracter(docu.Poliza.value,"\'")||existeCaracter(docu.Poliza.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Poliza.focus();
			return;
		}
		if(docu.Modalidad.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Modalidad.focus();
			return;
		}		
     	
     	if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
	    document.formSeguros.action="m05bGrabarSeguroServlet?Codigo=" + codigo + "&Accion=" + accion;
	    document.formSeguros.submit();
	}  // Fin funcion fncGrabar
							   
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>